Skip to main content
POST
Create Apple Pay provisioning data

Path Parameters

card_id
string<uuid>
required

The card ID.

Body

application/json

PassKit certificate chain, nonce, and device context.

certificates
string[]
required

Apple-provided leaf and sub-CA certificates, in that order. The Apple Root CA G3 is downloaded separately and is not sent by the client.

Required array length: 2 elements

A non-empty Base64-encoded DER certificate supplied by PassKit.

Minimum string length: 1
nonce
string
required

Base64-encoded nonce supplied by PassKit.

Minimum string length: 1
nonce_signature
string
required

Base64-encoded nonce signature supplied by PassKit.

Minimum string length: 1
device_type
enum<string>
required

Type of Apple device being provisioned.

Available options:
mobile_phone,
watch
app_version
string
required

Version of the partner application requesting provisioning.

Minimum string length: 1
product_type
string

Apple hardware product identifier, when available.

Minimum string length: 1

Response

The request has succeeded.

activation_data
string
required

Base64-encoded activation data to pass to PassKit.

encrypted_pass_data
string
required

Base64-encoded encrypted pass data to pass to PassKit.

ephemeral_public_key
string
required

Base64-encoded ephemeral public key to pass to PassKit.